Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA_2_3.portable
Class InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.omg.CORBA.portable.InputStream
                  |
                  +--org.omg.CORBA_2_3.portable.InputStream

public abstract class InputStream
extends InputStream

InputStream provides for the reading of all of the mapped IDL types from the stream. It extends org.omg.CORBA.portable.InputStream. This class defines new methods that were added for CORBA 2.3.

Since:
  JDK1.2
See Also:
  `InputStream`

Constructor Summary
`InputStream()`

Method Summary
`Object` | `read_abstract_interface()` Unmarshal the value object or a suitable stub object.
`Object` | `read_abstract_interface(Class clz)` Unmarshal the class object or the stub class corresponding to the passed type.
`Serializable` | `read_value()` Unmarshalls a value type from the input stream.
`Serializable` | `read_value(BoxedValueHelper factory)` Unmarshalls a value type from the input stream.
`Serializable` | `read_value(Class clz)` Unmarshalls a value type from the input stream.
`Serializable` | `read_value(Serializable value)` Unmarshalls a value type from the input stream.
`Serializable` | `read_value(String rep_id)` Unmarshalls a value type from the input stream.

Methods inherited from class org.omg.CORBA.portable.InputStream
`orb, read_any, read_boolean_array, read_boolean, read_char_array, read_char, read_Context, read_double_array, read_double, read_fixed, read_float_array, read_float, read_long_array, read_long, read_longlong_array, read_longlong, read_Object, read_Object, read_octet_array, read_octet, read_Principal, read_short_array, read_short, read_string, read_TypeCode, read_ulong_array, read_ulong, read_ulonglong_array, read_ulonglong, read_ushort_array, read_ushort, read_wchar_array, read_wchar, read_wstring, read`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStream

    public InputStream()

Method Detail

### read_value

    public Serializable read_value()

  Unmarshalls a value type from the input stream.

  Returns:
    the value type unmarshalled from the input stream

### read_value

    public Serializable read_value(Class clz)

  Unmarshalls a value type from the input stream.

  Parameters:
    `clz` - is the declared type of the value to be unmarshalled
  Returns:
    the value unmarshalled from the input stream

### read_value

    public Serializable read_value(BoxedValueHelper factory)

  Unmarshalls a value type from the input stream.

  Parameters:
    `factory` - is the instance fo the helper to be used for unmarshalling the value type
  Returns:
    the value unmarshalled from the input stream

### read_value

    public Serializable read_value(String rep_id)

  Unmarshalls a value type from the input stream.

  Parameters:
    `rep_id` - identifies the type of the value to be unmarshalled
  Returns:
    value type unmarshalled from the input stream

### read_value

    public Serializable read_value(Serializable value)

  Unmarshalls a value type from the input stream.

  Parameters:
    `value` - is an uninitialized value which is added to the orb's indirection table before calling Streamable._read() or CustomMarshal.unmarshal() to unmarshal the value.
  Returns:
    value type unmarshalled from the input stream

### read_abstract_interface

    public Object read_abstract_interface()

  Unmarshal the value object or a suitable stub object.

  Returns:
    ORB runtime returns the value object or a suitable stub object.

### read_abstract_interface

    public Object read_abstract_interface(Class clz)

  Unmarshal the class object or the stub class corresponding to the passed type.

  Parameters:
    `clz` - is the Class object for the stub class which corresponds to the type that is statically expected.
  Returns:
    ORB runtime returns the value object or a suitable stub object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.